Commit 85801fe8 authored by Rex Dieter's avatar Rex Dieter
Browse files

gobject: add versioned Requires: glib2 dep

parent 797bbba8
......@@ -5,7 +5,7 @@
Name: lightdm
Summary: Lightweight Display Manager
Version: 1.10.4
Release: 5%{?dist}
Release: 6%{?dist}
# library/bindings are LGPLv2 or LGPLv3, the rest GPLv3+
License: (LGPLv2 or LGPLv3) and GPLv3+
......@@ -40,6 +40,7 @@ BuildRequires: pkgconfig(gio-unix-2.0)
BuildRequires: pkgconfig(glib-2.0)
BuildRequires: pkgconfig(gmodule-export-2.0)
BuildRequires: pkgconfig(gobject-2.0)
%global glib2_version %(pkg-config --modversion glib-2.0 2>/dev/null || echo "2.10")
BuildRequires: pkgconfig(gobject-introspection-1.0) >= 0.9.5
BuildRequires: pkgconfig(libxklavier)
BuildRequires: pkgconfig(QtCore)
......@@ -86,6 +87,7 @@ Summary: LightDM GObject client library
# requires greeters to manually
# Requires: lightdm
#Requires: %{name} = %{version}-%{release}
Requires: glib2%{?_isa} >= %{glib2_version}
%description gobject
This package contains a GObject based library for LightDM clients to use to
interface with LightDM.
......@@ -249,6 +251,9 @@ exit 0
%changelog
* Wed Apr 15 2015 Rex Dieter <rdieter@fedoraproject.org> 1.10.4-6
- -gobject: add versioned Requires: glib2 dep
* Tue Feb 24 2015 Rex Dieter <rdieter@fedoraproject.org> 1.10.4-5
- try harder to disable hardening
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment